<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <p>{{ titulo }}</p>
    <p>{{ saudacao() }}</p>
    <!-- diretiva de interpolação de dados na instância vue em atributos html na div controlada -->
    <!-- <elem v-bind:atributo="dado-no-vue, sem double mustache"/> -->
    <!--
      - diretiva é um atributo personalizado, que não é nativo do html
      - mas como o html permite que se adicione atributos personalizados, FWs de aplicação no front-end (como o Vue) as usam (através de JS puro) para fazerem processamentos diversos
      - o Vue detecta as diretivas usadas nas tags e faz com que os valores nelas sejam interpretados e subsituídos pelos devidos valores definidos na instância do vue
      - pode-se usar diretivas tanto personalizadas como as definidas pelo próprio vue
    -->
    <a v-bind:href="link">Google</a>
  </div>
  <script src="app.js"></script>
</body>

</html>